<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC 
"-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions">

<ui:composition
    template="/WEB-INF/templates/simoHospitalizacionLayout.xhtml">
	<ui:define name="titulo">
		<h:outputText value="#{msghsp['titulo.monitoreo.cierre.mensual']}"/>
	</ui:define>
	
	<ui:define name="contenido">
        <f:view>
            <h:outputScript
                library="js"
                name="monitorcierremensual/monitorCierreMensual.js"/>
			<div class="titulo">
				<p:panelGrid>
					<p:row>
						<p:column styleClass="tituloAreaDeTrabajoTablas">
							<p:outputLabel
								value="#{msghsp['titulo.monitoreo.cierre.mensual']}"/>
						</p:column>
					</p:row>
				</p:panelGrid>
			</div>            
            <h:form id="idMonitoreoCierreMes">
            <p:focus
                id="idFoco"
                for="#{monitorCierreMensualController.tieneFoco}" />
             <p:remoteCommand
             name="rcPeriodo"
             update="growlMessage idMonitoreoCierreMes"
             actionListener="#{monitorCierreMensualController.validarPeriodoIM}"
             process="@this, idMesanio" 
             oncomplete="btn_click('#idMonitoreoCierreMes')"/>
             
             <p:remoteCommand
	             name="rcUpdate"
	             update="idMonitoreoCierreMes"             
	             process="@this, idMonitoreoCierreUnidad" 
             />
             <p:remoteCommand
		        name="rcPresupuestal"
		        update="growlMessage growlMessageError idFoco idPresupuestal idMonitoreoCierreMes"
		        actionListener="#{monitorCierreMensualController.validarPresupuestal}"
		        async="true"
		        process="@this, idPresupuestal" />
                
			     <div class="tablaDatos">
                    <p:panelGrid id="idPanelMonitoreo" styleClass="ancho_100 " style="float:right" rendered="#{monitorCierreMensualController.renderTablaDelegcion}">
                      
                        <p:row>
                            <p:column styleClass="ancho_8"></p:column>
                            <p:column styleClass="ancho_11 align_r">
                                <h:outputText value="#{msghsp['etiqueta.mesanio']}" />
                            </p:column>
                            <p:column styleClass="ancho_40  align_l">
                                <p:inputMask
                                    id="idMesanio"
                                    binding="#{monitorCierreMensualController.periodoIM}"
                                    mask="99/9999">
                                </p:inputMask>
                            </p:column>
                            <p:column styleClass="ancho_30 align_l "></p:column>                                        
                        </p:row>            
                        <p:row>
                            <p:column></p:column>
                            <p:column colspan="2">
                                <p:dataTable id="delegacionUmae"  value="#{monitorCierreMensualController.listDelegaciones}" emptyMessage=" "
                                    var="delumae"  selection="#{monitorCierreMensualController.delegacionCierre}" 
                                    rowKey="#{delumae.cveDelegacionImss}" selectionMode="single" styleClass="listaDatos"  rowStyleClass="#{delumae.color}" 
                                     scrollable="true" scrollHeight="300">
                                    
                                    <p:ajax event="rowSelect" listener="#{monitorCierreMensualController.selectDelegacion}"  update="idMonitoreoCierreMes"/>
                                    
                                    <p:column headerText="#{msghsp['etiqueta.titulo']}" styleClass="align_l"> 
                                        <h:outputText value=" #{delumae.desDelegacionImss}" />
                                    </p:column>
                                    
                                </p:dataTable>
                            </p:column>
                            <p:column>
                                 <p:panelGrid id="idPanelMonitoreoLabels" styleClass="ancho_100 " >
                      
                                    <p:row>
                                        <p:column styleClass="ancho_33 align_r"> 
                                            <p:spacer style="height:100px;"/><br></br>
                                            <br></br><br></br><br></br><br></br>
                                            <br></br><br></br><br></br><br></br>   
                                        </p:column>
                                        <p:column styleClass="ancho_33 align_l"></p:column>
                                        <p:column styleClass="ancho_33 align_l "></p:column>                                         
                                    </p:row> 
                                    <p:row>
                                        <p:column styleClass="align_r"> 
                                                 <h:graphicImage
                                                value="/img/cuadro_verde.png"></h:graphicImage>                                
                                        </p:column>
                                        <p:column styleClass="align_l">  
                                            <p:outputLabel
                                                value="#{msghsp['etiqueta.mes.cerrado']}"/></p:column>
                                        <p:column></p:column>                                        
                                    </p:row>
                                    <p:row>                                        
                                        <p:column styleClass="align_r">
                                            <h:graphicImage
                                                value="/img/cuadro_rojo.png"></h:graphicImage>                              
                                        </p:column >
                                        <p:column colspan="2" styleClass="align_l">
                                            <p:outputLabel
                                                value="#{msghsp['etiqueta.mes.habilitado']}"/>
                                        </p:column>
                                                                
                                    </p:row>
                                    <p:row>
                                        <p:column>
                                           
                                        </p:column>
                                        <p:column></p:column>
                                        <p:column>
                                            <div class="acciones">
                                            <p:commandButton value="#{msghsp['boton.salir']}" ajax="false" actionListener="#{monitorCierreMensualController.salir}"></p:commandButton>
                                            </div>
                                            
                                        </p:column>                                        
                                    </p:row>
                                 </p:panelGrid>
                            </p:column>
                        </p:row>
                        
                    </p:panelGrid>
                    <p:panelGrid id="idPanelMonitoreoUNidades" styleClass="ancho_100 " rendered="#{!monitorCierreMensualController.renderTablaDelegcion}" style="float:right">
                        <p:row>
                            <p:column styleClass="ancho_10"></p:column>
                            <p:column styleClass="ancho_5 align_r"> <p:outputLabel
                                                value="#{msghsp['etiqueta.mes']}"/> </p:column>
                            <p:column styleClass="ancho_10 align_l"><p:outputLabel
                                                value="#{monitorCierreMensualController.mesString}"/> </p:column>
                            <p:column styleClass="ancho_10 align_r">
                                <h:outputText value="#{msgmon['etiqueta.presupuestal']}"
                                for="idPresupuestal" /> </p:column>
	                        <p:column class="ancho_10 campoM align_r">
				                <p:autoComplete
				                    id="idPresupuestal"
				                    dropdown="true"
				                    scrollHeight="100"
				                    completeMethod="#{monitorCierreMensualController.filtrarCatalogoPresupuestal}"
				                    binding="#{monitorCierreMensualController.autoCompletePresupuestal}"
				                    forceSelection="true">				                  
				                    <p:ajax
				                        async="true"
				                        event="itemSelect"
				                        listener="#{monitorCierreMensualController.validarPresupuestal}"
				                        update="growlMessage growlMessageError idFoco idPresupuestal idMonitoreoCierreMes" />
				                </p:autoComplete>
				            </p:column>                   
                            
                            <p:column styleClass="ancho_7"></p:column>
                            <p:column styleClass="ancho_7"></p:column>
                            <p:column styleClass="ancho_7"></p:column>
                            <p:column styleClass="ancho_10"></p:column>                       
                        </p:row>                     
                        <p:row>
                            <p:column></p:column>
                            <p:column styleClass="align_r"> <p:outputLabel
                                                value="#{msghsp['etiqueta.delegacion']}"/> </p:column>
                            <p:column styleClass="align_l"><p:outputLabel
                                                value="#{monitorCierreMensualController.desDelegacion}"/> </p:column>
                           	                        
                        	<p:column></p:column>
                            <p:column></p:column>
				            <p:column colspan="3">                                
                                <h:graphicImage
                                    value="/img/cuadro_rojo.png"></h:graphicImage>                                
                                <p:outputLabel
                                    value="#{msghsp['etiqueta.mes.habilitado']}"/>
                                <h:graphicImage
                                    value="/img/cuadro_verde.png"></h:graphicImage>                                
                                <p:outputLabel
                                    value="#{msghsp['etiqueta.mes.cerrado']}"/>
	                        </p:column>	                    
                            <p:column></p:column>                           
                        </p:row>
                                             
                        <p:row>
                        	<p:column></p:column>                         
                            <p:column colspan="7">
                                <p:dataTable id="idMonitoreoCierreUnidad"  
                                	value="#{monitorCierreMensualController.listUnidades}" 
                                    var="unidad"  selection="#{monitorCierreMensualController.unidadMedicaCierre}"
                                    rowKey="#{unidad.desUnidadMedica}"  styleClass="listaDatos" rowStyleClass="#{unidad.color}"                                 
                                     scrollable="true" scrollHeight="300">
                                  
                                    <p:column headerText="#{msghsp['titulo.tabla.unidades.monitoreo']}" styleClass="ancho_30">
                                       <h:outputText value="#{unidad.desUnidadMedica}" />
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.consultaExterna']}" styleClass="ancho_15">
                                        <p:selectBooleanCheckbox value="#{ unidad.boolConsultaExterna }" rendered="#{unidad.confActivaConsultaExterna}"  disabled="#{ !unidad.confActivaConsultaExterna || unidad.consultaExterna==3}">
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <f:param name="tipoCaptura" value="1" />
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad growlMessage" 
                                            oncomplete="ejecutarRemoteCommand('rcUpdate');">
                                               
                                            </p:ajax>        
                                        </p:selectBooleanCheckbox>
                                         <p:selectBooleanCheckbox value="#{monitorCierreMensualController.boolTrue}" 
                                        	rendered="#{!unidad.confActivaConsultaExterna}" dilsabled="#{monitorCierreMensualController.boolTrue}" >                                            
                                        </p:selectBooleanCheckbox>
                                        
                                       
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.hospitalizacion']}" styleClass="ancho_15">
                                        <p:selectBooleanCheckbox value="#{unidad.boolHospitalizacion }" rendered="#{unidad.confActivaHospitalizacion}"  disabled="#{ !unidad.confActivaHospitalizacion || unidad.hospitalizacion==3}">
                                            <f:param name="tipoCaptura" value="2" />
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad growlMessage"
                                            oncomplete="ejecutarRemoteCommand('rcUpdate');">                                              
                                            </p:ajax>
                                        </p:selectBooleanCheckbox>
                                        <p:selectBooleanCheckbox value="#{monitorCierreMensualController.boolTrue}" 
                                        	rendered="#{!unidad.confActivaHospitalizacion}" disabled="#{monitorCierreMensualController.boolTrue}" >                                            
                                        </p:selectBooleanCheckbox>
                                       
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.informacioncomplementaria']}" styleClass="ancho_15">
                                    
                                    	<p:selectBooleanCheckbox value="#{unidad.boolInformaComplemen }" rendered="#{unidad.confActivaInformaComplemen}"  disabled="#{ !unidad.confActivaInformaComplemen || unidad.informaComplemen==3}">
                                        
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <f:param name="tipoCaptura" value="3" />
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad growlMessage" 
                                            oncomplete="ejecutarRemoteCommand('rcUpdate');">
                                               
                                            </p:ajax>
                                        </p:selectBooleanCheckbox>
                                        <p:selectBooleanCheckbox value="#{monitorCierreMensualController.boolTrue}" 
                                        	rendered="#{!unidad.confActivaInformaComplemen}" dilsabled="#{monitorCierreMensualController.boolTrue}" >  
                                        </p:selectBooleanCheckbox>
                                        
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.subrogados']}" styleClass="ancho_15">
                                    
                                    
                                        <p:selectBooleanCheckbox value="#{unidad.boolServicioSub}" rendered="#{unidad.confActivaServicioSub}" disabled="#{ !unidad.confActivaServicioSub || unidad.servicioSub==3}">
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <f:param name="tipoCaptura" value="4" /> 
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad growlMessage"
                                            oncomplete="ejecutarRemoteCommand('rcUpdate');">
                                                
                                            </p:ajax>
                                        </p:selectBooleanCheckbox>
                                        <p:selectBooleanCheckbox value="#{monitorCierreMensualController.boolTrue}" 
                                        	rendered="#{!unidad.confActivaServicioSub}" dilsabled="#{monitorCierreMensualController.boolTrue}" >
                                        </p:selectBooleanCheckbox>   
                                    </p:column>
                                </p:dataTable>
                            </p:column>
                            <p:column></p:column>                           
                        </p:row>
                        <p:row>
                            <p:column colspan="4"></p:column>
                            <p:column  colspan="4">
                                <div class="acciones ">
                                        <p:commandButton value="#{msghsp['boton.monitoreo.regresar']}" update="idMonitoreoCierreMes" 
                                        ajax="false" actionListener="#{monitorCierreMensualController.regresarMonitoreo}"
                                        rendered="#{monitorCierreMensualController.rolUsuario ge 1 or  monitorCierreMensualController.listUnidades.size() gt 1}"></p:commandButton>
                                        <p:commandButton value="#{msghsp['boton.monitoreo.guardar']}"
                                        	id="idGuardar"                                        
	                                        update="idMonitoreoCierreMes"
	                                        async="true"
	                                        rendered="#{monitorCierreMensualController.rolUsuario ge 4 }"
	                                        actionListener="#{monitorCierreMensualController.confirfmaGuardarCambios}"
                                        ></p:commandButton>    
                                        <p:commandButton value="#{msghsp['boton.cancelar']}" ajax="false" 
                                        rendered="#{monitorCierreMensualController.rolUsuario ge 4 }"
                                        actionListener="#{monitorCierreMensualController.cancelarMonitoreo}" update="idPanelMonitoreoUNidades"></p:commandButton>
                                                                            
                                        <p:commandButton value="#{msghsp['boton.salir']}" ajax="false"  actionListener="#{monitorCierreMensualController.salir}"></p:commandButton>
                                  </div>
                            </p:column>
                        </p:row>                                                   
                      </p:panelGrid>
                     
			     </div>
                 
                 <div class="modal">
                        <p:confirmDialog
                            id="idConfirmaCierreUnidad"
                            header="#{msgmon['dialog.titulo.monitoreo.confirmar']}"
                           
                            height="30"
                            width="500"
                            widgetVar="cierreUnidadConfirm"
                            closable="false">
                            <p:panelGrid
                                id="idConfirm"
                                style="width:100%;">
                                <p:row>
                                    <p:column style="width:100px">
                                        <h:outputText
                                            value="#{msgmon['ma001']}" />
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
                            <div class="acciones">
                                <span> <p:commandButton
                                        id="idSi"
                                        value="#{msghsp['confirm.si']}"                                        
                                        update="idMonitoreoCierreMes"
                                        binding="#{monitorCierreMensualController.botonConfirmarSi}"
                                        async="true"
                                        actionListener="#{monitorCierreMensualController.confirmaCierreSi}"
                                        />
                                    <p:commandButton
                                        id="idNo"
                                        value="#{msghsp['confirm.no']}"
                                        update="idMonitoreoCierreMes"
                                        async="true"
                                        actionListener="#{monitorCierreMensualController.confirmaCierreNo}" />
                                </span>
                            </div>
                        </p:confirmDialog>
                       </div>
            </h:form>
            <br></br>
	   </f:view>
    </ui:define>
    
</ui:composition>
</html>